gss_context_time(3)

NAME
gss_context_time - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_context_time(OM_uint32 * minor_status, const gss_ctx_id_t context_handle, OM_uint32 * time_rec);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Implementation specific status
      code.

const gss_ctx_id_t context_handle
    (gss_ctx_id_t, read) Identifies the context to be
      interrogated.

OM_uint32 * time_rec
    (Integer, modify) Number of seconds that the context
      will remain valid. If the context has already expired, zero will
      be returned.

DESCRIPTION
Determines the number of seconds for which the specified context will remain valid.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_CONTEXT_EXPIRED`: The context has already expired.

`GSS_S_NO_CONTEXT`: The context_handle parameter did not identify a valid context

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.